> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/it/powershell-commands/add-dsplaylistentry.md).

# Add-DSPlaylistEntry

Add-DSPlaylistEntry aggiunge elementi di connessione a una playlist esistente di Devolutions Server, specificando ogni elemento tramite il suo ID di connessione e il suo gruppo.

### Sinossi

Aggiunge elementi a una playlist esistente.

### Sintassi

#### \_\_AllParameterSets

```
Add-DSPlaylistEntry [-ID] <guid> [-Item] <PSConnectionListItem[]> [-VaultPassword <string>]
 [-WhatIf] [-Confirm] [<CommonParameters>]
```

### Descrizione

Aggiunge elementi a una playlist esistente. Ogni elemento deve essere specificato in base all'ID di connessione e al suo gruppo.

### Esempi

```powershell
PS C:\> $playlist = New-DSPlaylistEntry -Name PwshPlaylist -VaultID $aVaultID -Group $aGroup -Description $aDescription
PS C:\> $itemA = @{
        ConnectionID = $rdpAId
        GroupMain = $rdpAGroup
        }
PS C:\> $itemB = @{
        ConnectionID = $rdpBId
        GroupMain = $rdpBGroup
        }
PS C:\> Add-DSPlaylistEntry -ID $playlist.id -Item $itemA, $itemB
```

Crea una playlist e vi aggiunge due RDP.

### Parametri

#### -Confirm

Richiede una conferma prima di eseguire il cmdlet.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: False
SupportsWildcards: false
Aliases:
- cf
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -ID

ID della voce della playlist.

```yaml
Type: System.Guid
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 0
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Item

Connessione da aggiungere alla playlist. Sono richiesti l'ID di connessione e il gruppo.

```yaml
Type: RemoteDesktopManager.PowerShellModule.PSOutputObject.PSConnectionListItem[]
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 1
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -VaultPassword

Password della cassaforte (se richiesta).

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -WhatIf

Mostra cosa accadrebbe se il cmdlet venisse eseguito. Il cmdlet non viene eseguito.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: False
SupportsWildcards: false
Aliases:
- wi
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Questo cmdlet supporta i parametri comuni: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction e -WarningVariable. Per maggiori informazioni, veda [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Note

Per maggiori informazioni, digiti "Get-Help Add-DSPlaylistEntry -detailed". Per informazioni tecniche, digiti "Get-Help Add-DSPlaylistEntry -full".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell/it/powershell-commands/add-dsplaylistentry.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
